# Get all environments GET https://app.unleash-instance.example.com/api/admin/environments Retrieves all environments that exist in this Unleash instance. Reference: https://docs.getunleash.io/api/get-all-environments ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get all environments version: endpoint_environments.getAllEnvironments paths: /api/admin/environments: get: operationId: get-all-environments summary: Get all environments description: Retrieves all environments that exist in this Unleash instance. tags: - - subpackage_environments parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: environmentsSchema content: application/json: schema: $ref: '#/components/schemas/environmentsSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} components: schemas: environmentSchema: type: object properties: name: type: string description: The name of the environment type: type: string description: >- The [type of environment](https://docs.getunleash.io/concepts/environments#environment-types). enabled: type: boolean description: >- `true` if the environment is enabled for the project, otherwise `false`. protected: type: boolean description: >- `true` if the environment is protected, otherwise `false`. A *protected* environment can not be deleted. sortOrder: type: integer description: >- Priority of the environment in a list of environments, the lower the value, the higher up in the list the environment will appear. Needs to be an integer projectCount: type: - integer - 'null' description: The number of projects with this environment apiTokenCount: type: - integer - 'null' description: The number of API tokens for the project environment enabledToggleCount: type: - integer - 'null' description: The number of enabled toggles for the project environment requiredApprovals: type: - integer - 'null' description: >- Experimental field. The number of approvals required before a change request can be applied in this environment. required: - name - type - enabled - protected - sortOrder environmentsSchema: type: object properties: version: type: integer description: Version of the environments schema environments: type: array items: $ref: '#/components/schemas/environmentSchema' description: List of environments required: - version - environments ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/environments" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/environments'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/environments" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/environments") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/environments") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/environments', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/environments"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/environments")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```